spring:
  profiles:
    include: rabbitMQ
  # JDBC
  datasource:
    url: jdbc:mysql://202.165.179.86:3306/mallinkDev?characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&useUnicode=true&useSSL=false&useAffectedRows=true
    username: ENC(dZ8fmrtuBMQYaRytKQgTqg==)
    password: ENC(IKH7HxMZwIqMttMc9+QsqWa1KMsJvTs4)
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 28000
    minEvictableIdleTimeMillis: 28000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
  #jackson: 
    #date-format: yyyy-MM-dd HH:mm:ss
  # REDIS
  redis:
    host: 202.165.179.86
    port: 6379
    password: ENC(xPFDlgd6v8zUhJMbcKc0KmmQiqs9qHtk)
    timeout: 3600
    expire: 1800 #30分钟
    database: 1
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 50
        max-idle: 30
        max-wait: -1
        min-idle: 0
  # EMAIL
  mail:
    host: smtp.exmail.qq.com
    username: ENC(lknBjZsA24AaQEXuy0fFw3acd4v4Xsf3CsgDcRZgjlYnNAL9R07d/w==)
    password: ENC(gIkVPuYMmJ/EDxry8QIfGumIAk4plAwolGrfg1fiM3U=)  # 授权密码
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
          socketFactory:
            port: 465
            class: javax.net.ssl.SSLSocketFactory
  # ROCKETMQ
  rocketmq:
    nameServer: 127.0.0.1:9876
    producer:
      retry-times-when-send-async-failed: 0
      send-msg-timeout: 300000
      compress-msg-body-over-howmuch: 4096
      max-message-size: 4194304
      retry-another-broker-when-not-store-ok: false
      retry-times-when-send-failed: 2
  # RABBITMQ
  rabbitmq:
    host: 202.165.179.86
    port: 5672
    username: ENC(2f9Nqt3c4cbVGYnhpjp9Mg==)
    password: ENC(2av0JfMfz141IHkG6ibI8aKzmD33bc64wcN/O43ucbo=)
    publisher-confirms: true
    publisher-returns: false
    virtual-host: /

aws:
  clientRegion: cn-northwest-1
  bucketName: iformall-net
  access: ENC(3gx5ghDFBqGrEhO3Wf8aYmXsnwHO7Cj3HNKJGOeUj0o=)
  secret: ENC(HVKIJwCJKVXLlUpGlQPwNqJOlnpxn4xYuy91SH0seTSm2uAttIQHvA49fXWWax90v5wloIk0QuU=)

jasypt:
  encryptor:
    password: oRqdnDbK5pj3eMmB

wechat:
  open:
    componentAppId: "wx897e4673286c915d"
    componentSecret: "cdfdfda65c45689beb6766c4c427eed2"
    componentToken: "formall2018"
    componentAesKey: "htKq8EjBMPNndfZQK9JiFojFaqFwFpw42VfeWFtx7HN"
  redis:
    host: 202.165.179.86
    port: 6379
    password: ENC(xPFDlgd6v8zUhJMbcKc0KmmQiqs9qHtk)
    timeout: 3600
    expire: 1800 #30分钟
    database: 2
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 100
        max-idle: 500
        max-wait: -1
        min-idle: 10

fm:
  exception: false
  exception_emails: houtaikaifa@iformall.com
  deploy: 1
  open: true
  upload_dir: /home/test/server/uploads

logging:
  level:
    tk.mybatis: debug
    com.iformall.mapper: debug
  path: ./logs/p